Package owl.ltl.visitors

## Class PropositionalIntVisitor

- java.lang.Object
- - owl.ltl.visitors.PropositionalIntVisitor

- All Implemented Interfaces:
    `IntVisitor`

      public abstract class PropositionalIntVisitor
      extends Object
      implements IntVisitor

  Visitor skeleton implementation that views the formula as propositional formula. For this reason all methods for modal operators are final and need to be handled uniformly.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropositionalIntVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract int` | `modalOperatorAction​(Formula formula)` |
    `int` | `visit​(FOperator fOperator)` |
    `int` | `visit​(FrequencyG freq)` |
    `int` | `visit​(GOperator gOperator)` |
    `int` | `visit​(Literal literal)` |
    `int` | `visit​(MOperator mOperator)` |
    `int` | `visit​(ROperator rOperator)` |
    `int` | `visit​(UOperator uOperator)` |
    `int` | `visit​(WOperator wOperator)` |
    `int` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from interface owl.ltl.visitors.IntVisitor

      `visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropositionalIntVisitor

          public PropositionalIntVisitor()

  - ### Method Detail

    - #### modalOperatorAction

          protected abstract int modalOperatorAction​(Formula formula)

    - #### visit

          public final int visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(FrequencyG freq)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(Literal literal)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `IntVisitor`

    - #### visit

          public final int visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `IntVisitor`